Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::DocState Class Reference

`#include <DocumentsWriter.h>`

Inheritance diagram for Lucene::DocState:

## Public Member Functions

| DocState ()
virtual | ~DocState ()
virtual String | getClassName ()
boost::shared_ptr< DocState > | shared_from_this ()
virtual bool | testPoint (const String &name)
| Only called by asserts.
void | clear ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

DocumentsWriterWeakPtr | _docWriter
AnalyzerPtr | analyzer
int32_t | maxFieldLength
InfoStreamPtr | infoStream
SimilarityPtr | similarity
int32_t | docID
DocumentPtr | doc
String | maxTermPrefix

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ DocState()

Lucene::DocState::DocState | ( |  | ) |

Referenced by _getClassName().

## ◆ ~DocState()

virtual Lucene::DocState::~DocState | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::DocState::_getClassName | ( |  | ) |

inline static

References DocState().

## ◆ clear()

void Lucene::DocState::clear | ( |  | ) |

## ◆ getClassName()

virtual String Lucene::DocState::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< DocState > Lucene::DocState::shared_from_this | ( |  | ) |

inline

## ◆ testPoint()

virtual bool Lucene::DocState::testPoint | ( | const String & | name | ) |

virtual

Only called by asserts.

## Field Documentation

## ◆ _docWriter

DocumentsWriterWeakPtr Lucene::DocState::_docWriter

## ◆ analyzer

AnalyzerPtr Lucene::DocState::analyzer

## ◆ doc

DocumentPtr Lucene::DocState::doc

## ◆ docID

int32_t Lucene::DocState::docID

## ◆ infoStream

InfoStreamPtr Lucene::DocState::infoStream

## ◆ maxFieldLength

int32_t Lucene::DocState::maxFieldLength

## ◆ maxTermPrefix

String Lucene::DocState::maxTermPrefix

## ◆ similarity

SimilarityPtr Lucene::DocState::similarity

The documentation for this class was generated from the following file:

- DocumentsWriter.h

clucene.sourceforge.net